package com.eactive.ext.kjb.ums.test;

import com.eactive.ext.kjb.common.KjbProperty;
import com.eactive.ext.kjb.utils.ValidationUtil;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Assumptions;
import org.junit.jupiter.api.Test;

@Slf4j
public class KjbPropertyTest {

    @Test
    void testKjbProperty() {
        Assumptions.assumeTrue(
                "true".equalsIgnoreCase(System.getenv("KJB_EAPIM_TEST_ENABLED")),
                "OS 환경변수 내 KJB_EAPIM_TEST_ENABLED=TRUE 설정되어 있어야 동작함");


        log.info("KjbProperty 테스트 시작");


        log.info("기본값 Validation 테스트");
        KjbProperty prop = new KjbProperty();
        ValidationUtil.validateOrThrow(prop);

        log.info("KjbProperty 테스트 완료");
    }
}
